1 Reply Latest reply: Apr 17, 2011 7:14 AM by lllaass
Nova89 Level 1 Level 1 (0 points)

I have a iPod touch 2g and 4.2.1 firmwear witch is the higest for my device and most of the decent games like minecraft world explorer ,resedent evil  mercs are not compatable only the cheesey crap games work and I'm a bit fed up so if I want to play any of these games I have to spend more cash on buying a new device this isn't fair neglecting all the 2g coustomers how about apple giving the 2g coustomers a new dvice for the 2g or make all the apps compatible


iPod touch, iOS 4.2